Package commoble.jumbofurnace.jumbo_furnace

# Class OutputItemHandler

java.lang.Object
net.minecraftforge.items.ItemStackHandler
commoble.jumbofurnace.jumbo_furnace.OutputItemHandler

All Implemented Interfaces:
  `net.minecraftforge.common.util.INBTSerializable<net.minecraft.nbt.CompoundTag>`, `net.minecraftforge.items.IItemHandler`, `net.minecraftforge.items.IItemHandlerModifiable`

public class OutputItemHandler extends net.minecraftforge.items.ItemStackHandler

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`EXPERIENCE`
`boolean`
`forcingInserts`
`final float[]`
`storedExperience`
`final JumboFurnaceCoreBlockEntity`
`te`

### Fields inherited from class net.minecraftforge.items.ItemStackHandler

`stacks`

## Constructor Summary

Constructors
Constructor
Description
`OutputItemHandler(JumboFurnaceCoreBlockEntity te)`

## Method Summary

Modifier and Type
Method
Description
`void`
`addExperience(int slot, float experience)`
`void`
`deserializeNBT(net.minecraft.nbt.CompoundTag nbt)`
`float`
`getAndConsumeExperience(int index)`
`net.minecraft.world.item.ItemStack`
`insertCraftResult(int slot, net.minecraft.world.item.ItemStack stack, boolean simulate)`
`boolean`
`isItemValid(int slot, net.minecraft.world.item.ItemStack stack)`
`protected void`
`onContentsChanged(int slot)`
`net.minecraft.nbt.CompoundTag`
`serializeNBT()`

### Methods inherited from class net.minecraftforge.items.ItemStackHandler

`extractItem, getSlotLimit, getSlots, getStackInSlot, getStackLimit, insertItem, onLoad, setSize, setStackInSlot, validateSlotIndex`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### EXPERIENCE

public static final String EXPERIENCE

See Also:
  - Constant Field Values

### te

public final JumboFurnaceCoreBlockEntity te

### forcingInserts

public boolean forcingInserts

### storedExperience

public final float[] storedExperience

## Constructor Details

### OutputItemHandler

public OutputItemHandler(JumboFurnaceCoreBlockEntity te)

## Method Details

### addExperience

public void addExperience(int slot, float experience)

### isItemValid

public boolean isItemValid(int slot, net.minecraft.world.item.ItemStack stack)

Specified by:
  `isItemValid` in interface `net.minecraftforge.items.IItemHandler`
Overrides:
  `isItemValid` in class `net.minecraftforge.items.ItemStackHandler`

### insertCraftResult

public net.minecraft.world.item.ItemStack insertCraftResult(int slot, net.minecraft.world.item.ItemStack stack, boolean simulate)

### onContentsChanged

protected void onContentsChanged(int slot)

Overrides:
  `onContentsChanged` in class `net.minecraftforge.items.ItemStackHandler`

### getAndConsumeExperience

public float getAndConsumeExperience(int index)

### serializeNBT

public net.minecraft.nbt.CompoundTag serializeNBT()

Specified by:
  `serializeNBT` in interface `net.minecraftforge.common.util.INBTSerializable<net.minecraft.nbt.CompoundTag>`
Overrides:
  `serializeNBT` in class `net.minecraftforge.items.ItemStackHandler`

### deserializeNBT

public void deserializeNBT(net.minecraft.nbt.CompoundTag nbt)

Specified by:
  `deserializeNBT` in interface `net.minecraftforge.common.util.INBTSerializable<net.minecraft.nbt.CompoundTag>`
Overrides:
  `deserializeNBT` in class `net.minecraftforge.items.ItemStackHandler`